<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Фильмы фильмотеки</title>
</head>
<body>
<div layout:fragment="content">
    <div>
        <hr class="hr"/>
        <h3>Поиск фильма</h3>
        <form method="POST" th:action="@{/films/search}" th:object="${filmSearchForm}">
            <div class="mt-0 row g-2">
                <div class="col-md">
                    <div class="form-floating">
                        <input name="filmTitle" type="text" class="form-control" id="filmTitle"
                               placeholder="Название фильма">
                        <label for="filmTitle">Название фильма</label>
                    </div>
                </div>
                <div class="col-md">
                    <div class="form-floating">
                        <input name="fio" type="text" class="form-control" id="fio" placeholder="имя режиссера">
                        <label for="fio">Режиссер</label>
                    </div>
                </div>
                <div class="col-md">
                    <div class="form-floating">
                        <select class="form-select" name="genre" id="genre">
                            <option selected th:value="null">Выберете жанр из списка</option>
                            <option th:each="genre : ${T(com.filmography.model.Genre).values()}"
                                    th:value="${genre}" th:text="${genre.getGenreTextDisplay()}"></option>
                        </select>
                        <label for="genre">Жанр</label>
                    </div>
                </div>
                <div class="row g-2">
                    <button type="submit" class="btn btn-secondary">Найти фильм</button>
                </div>
            </div>
        </form>
    </div>
    <hr class="mt-3 hr"/>
    <div class="mt-5">
        <div class="row">
            <div class="col">
                <h2>Все фильмы фильмотеки</h2>
            </div>
            <div class="col">
                <a sec:authorize="isAuthenticated() && (hasRole('ADMIN') || hasRole('MANAGER'))"
                   href="films/add"
                   class="btn btn-success"
                   role="button"
                   style="float: right"
                   aria-disabled="true">Добавить фильм</a>
            </div>
        </div>
        <div>
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">Название</th>
                    <th scope="col">Режиссер(ы)</th>
                    <th scope="col">Жанр</th>
                    <th scope="col">Премьера</th>
                    <th scope="col">Страна</th>
                    <th scope="col">Количество</th>
                    <th scope="col">Онлайн копия</th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="film : ${films}">
                    <td>
                        <a class="text-link text-blue" th:href="'/films/' + ${film.getId()}"
                           th:text="${film.getFilmTitle()}"></a>
                    </td>
                    <td>
                        <ul>
                            <li th:each="director : ${film.getDirectors()}" th:text="${director.getFio()}"></li>
                        </ul>
                    </td>
                    <td th:text="${film.getGenre().getGenreTextDisplay()}"></td>
                    <td th:text="${film.getPremierYear()}"></td>
                    <td th:text="${film.getCountry()}"></td>
                    <td th:classappend="${film.getAmount() <= 0} ? 'not-enough-film'"
                        th:text="${film.getAmount()} <= 0 ? 'Нет в наличии' : ${film.getAmount()}"></td>
                    <td>
                        <div sec:authorize="isAuthenticated()">
                            <a class="text-link text-blue" th:if="${film.getOnlineCopyPath()} != null" th:href="@{|/films/download?filmId=${film.id}|}">
                                <span>Скачать фильм</span>
                            </a>
                        </div>
                    </td>
                    <td>
                        <div sec:authorize="isAuthenticated() && (hasRole('ADMIN') || hasRole('MANAGER'))">
                            <a class="btn btn-sm btn-outline-success" th:href="'/films/update/' + ${film.id}">Обновить</a>
                            <a th:if="${!film.isDeleted()}" class="btn btn-sm btn-outline-danger" th:href="'/films/delete/' + ${film.id}"
                               onclick="return confirm('Вы действительно хотите удалить фильм?')">Удалить</a>
                            <a th:if="${film.isDeleted()}" class="btn btn-sm btn-outline-warning" th:href="'/films/restore/' + ${film.getId()}">Восстановить</a>
                        </div>
                        <a th:if="${film.getAmount() > 0}" sec:authorize="hasRole('USER')" class="btn btn-sm btn-outline-success"
                           th:href="'/rent/film/' + ${film.id}">Арендовать фильм</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>

        <!
        <div th:if="${exception != null && exception != ''}" class="modal fade" id="deleteErrorModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Ошибка</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body" th:text="${exception}">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">OK</button>
                    </div>
                </div>
            </div>
        </div>
        <!

        <div>
            <nav aria-label="Pagination" th:if="${films.totalPages gt 0}">
                <ul class="pagination justify-content-center font-weight-bold">
                    <li class="page-item" th:classappend="${films.number eq 0} ? 'disabled'">
                        <a class="page-link"
                           th:href="@{/films?page={id}(id=${films.number lt 2 ? 1 : films.number})}"
                           aria-label="Previous" title="Previous Page" data-toggle="tooltip">
                            <span aria-hidden="true">&laquo;</span>
                        </a>
                    </li>
                    <li class="page-item" th:classappend="${i eq films.number + 1} ? 'active'"
                        th:each="i : ${#numbers.sequence( 1, films.totalPages, 1)}">
                        <a class="page-link" th:href="@{/films?page={id}(id=${i})}" th:text="${i}"
                           th:title="${'Page '+ i}" data-toggle="tooltip"></a>
                    </li>
                    <li class="page-item" th:classappend="${films.number eq films.totalPages - 1} ? 'disabled'">
                        <a class="page-link"
                           th:href="@{/films?page={id}(id=${films.number + 2})}"
                           aria-label="Next" title="Next Page" data-toggle="tooltip">
                            <span aria-hidden="true">&raquo;</span>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</div>

</body>
</html>